Logo
OpenScaler
API DocumentationLoad Balancer Certificates

Get Certificate Info

GET
/v1/lbs/{lb_id}/certificates/{certificate_name}

Retrieve details about a specific certificate on the given load balancer.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

lb_id*string

A unique identifier for a load balancer instance.

Formatuuid
certificate_name*string

The name of a certificate on a load balancer.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/certificates/my-cert"
{  "name": "my-cert",  "cert_type": "upload",  "common_name": "example.com",  "subject": "CN=example.com",  "domains": "example.com, www.example.com",  "issuers": "Let's Encrypt Authority X3",  "not_before": "2024-01-01T00:00:00Z",  "not_after": "2025-01-01T00:00:00Z",  "serial": "03:AB:CD:EF",  "size": 2048}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}